%define oname	libxml++

%define major 	2
%define api_version 2.6
%define libname %mklibname xml++ %{api_version} %major
%define libnamedev %mklibname -d xml++ %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 		libxml++%{api_version}
Summary: 	C++ interface for working with XML files
Version:	2.40.1
Release: 	%mkrel 6
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		http://libxmlplusplus.sf.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %oname
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d xml++ 2.6 2

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %oname.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxml++-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog NEWS README
%doc %_datadir/doc/%oname-%{api_version}/reference
%_datadir/devhelp/books/%oname-%{api_version}/%oname-%{api_version}.devhelp2
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Wed Jan 26 2022 tex - 2.40.1-6pclos2022
- rebuild against updates

* Thu Sep 16 2021 tex - 2.40.1-5pclos2021
- rebuild against updates

* Thu Jun 24 2021 tex - 2.40.1-4pclos2021
- rebuild against updates

* Tue Oct 15 2019 tex - 2.40.1-3pclos2019
- rebuild against updates

* Thu Oct 19 2017 bb2 <bb2> - 2.40.1-2pclos2017
- rebuild against updates
- new gcc
